@echo off
cd %~dp0
echo *** Unregistering ECOM modules (on %cd%) ***
for %%f in (*CswEcom*.dll) do (regsvr32 /s /u %%f & if errorlevel 1 (echo %%f - unregistering failed!) else (echo %%f - done.))
echo.
echo If operation failed run as Administrator!
pause